/*  -*- c++ -*-  */
#ifndef INPUTVALUEDEFINITIONS_H
#define INPUTVALUEDEFINITIONS_H

#include "InputValue.h"

namespace ProtoMol {

  /*
   * It's good practice to only add keywords which all
   * applications, especially protomol, benefit. If you
   * need to add new keywords which only make sense
   * in your application add them in front of main().
   * 
   */

  //________________________________________________________ InputValue<>
  declareInputValue(InputOutput,BOOL,NOCONSTRAINTS);
  declareInputValue(InputDebug,INT,NOCONSTRAINTS);
  declareInputValue(InputTemperature,REAL,NOTNEGATIVE);
  declareInputValue(InputSeed,INT,NOTNEGATIVE);
  declareInputValue(InputConfig,STRING,NOTEMPTY);
  declareInputValue(InputFirststep,INT,NOCONSTRAINTS);
  declareInputValue(InputNumsteps,INT,NOTNEGATIVE);
  declareInputValue(InputOutputfreq,INT,NOTNEGATIVE);
  declareInputValue(InputIntegrator,INTEGRATOR,NOTEMPTY);
  declareInputValue(InputPositions,STRING,NOTEMPTY);
  declareInputValue(InputVelocities,STRING,NOTEMPTY);
  declareInputValue(InputPSF,STRING,NOTEMPTY);
  declareInputValue(InputPAR,STRING,NOTEMPTY);
  declareInputValue(InputAMBER,STRING,NOTEMPTY);
  declareInputValue(InputCoords,STRING,NOTEMPTY);
  declareInputValue(InputRemoveLinearMomentum,INT,NOCONSTRAINTS);
  declareInputValue(InputRemoveAngularMomentum,INT,NOCONSTRAINTS);
  declareInputValue(InputUseBarrier,BOOL,NOCONSTRAINTS);
  declareInputValue(InputParallelPipe,INT,NOCONSTRAINTS);
  declareInputValue(InputParallelMode,STRING,NOTEMPTY);
  declareInputValue(InputMaxPackages,INT,NOCONSTRAINTS);
  declareInputValue(InputPDBScaling,BOOL,NOCONSTRAINTS);
  declareInputValue(InputBoundaryConditions,STRING,NOTEMPTY);
  declareInputValue(InputCellManager,STRING,NOTEMPTY); 
  declareInputValue(InputDihedralMultPSF,BOOL,NOCONSTRAINTS);
  declareInputValue(InputVirialCalc,BOOL,NOCONSTRAINTS);
  declareInputValue(InputMolVirialCalc,BOOL,NOCONSTRAINTS);
  declareInputValue(InputShake,BOOL,NOCONSTRAINTS);
  declareInputValue(InputShakeEpsilon,REAL,NOTNEGATIVE);
  declareInputValue(InputShakeMaxIter,INT,NOTNEGATIVE);
  declareInputValue(InputRattle,BOOL,NOCONSTRAINTS);
  declareInputValue(InputRattleEpsilon,REAL,NOTNEGATIVE);
  declareInputValue(InputRattleMaxIter,INT,NOTNEGATIVE);
  declareInputValue(InputReducedImage,BOOL,NOCONSTRAINTS);  
  declareInputValue(InputMinimalImage,BOOL,NOCONSTRAINTS);  
  declareInputValue( InputShadow, BOOL, NOCONSTRAINTS );
  declareInputValue( InputShadowFreq, INT, NOTNEGATIVE );
  declareInputValue( InputShadowOrder, INT, NOTNEGATIVE );
}

#endif
